<p>All the work we do is billed in hours and tracked through our task management tool (Jira). There, we have a plugin named <strong>Tempo</strong>, where you should log all the time spent on any task.</p>
<p><a href="https://handbook.opencraft.com/en/latest/roles/list/#what-is-expected-from-everyone">Keep your logged time updated <strong>daily</strong></a>, so that task and project managers can manage budgets and client expectations.</p>
<p>Read the OpenCraft Handbook <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/time_management/#time-logging-best-practices">Time logging best practices</a>❗</span> for policies and tips on how and where to log time.</p>
<h3>Time logging tools</h3>
<p>There are many time logging tools, CLI and GUI ones, that can be used to keep track of the time you have worked.</p>
<p>An important note for logging time with third-party tools: anything other than Jira's Tempo Tracker Tool will require manually uploading the worklogs to Jira <strong>at least once a day</strong>. However, some of our members have already written software to facilitate uploading the worklogs from the third-party tool they use -- see below.</p>
<h4>JIRA Tempo Tracker Tool</h4>
<p>To log time on a task, you can use the following instructions:</p>
<p>1. Open the task to work on in Jira. Scrolling down, you'll see a tab named "<a href="https://handbook.opencraft.com/en/latest/glossary/#tempo">Tempo</a>".</p>
<p><img style="display: block; margin-left: auto; margin-right: auto;" src="https://i.imgur.com/ObLR82p.png" alt="tempo tab" width="746" height="214" /></p>
<p>2. Click on "Log time" and fill in all the fields. Describe what you have done, select the date and time period that you've worked.</p>
<p><img style="display: block; margin-left: auto; margin-right: auto;" src="https://i.imgur.com/4PT7fED.png" alt="tempo work log dialog box" width="404" height="524" /></p>
<p>3. Your logged time should appear on the "Tempo" section of your Jira task.</p>
<p>To view all the time you logged on a month, you can go to the <a href="https://tasks.opencraft.com/secure/TempoUserBoard!timesheet.jspa">Tempo timesheet</a> and get a nice view of all your logged time (and make corrections if necessary). You may also enter time here directly if you prefer, rather than needing to visit each ticket for which you need to log time.</p>
<h4>Timewarrior</h4>
<p><a href="https://timewarrior.net/">TimeWarrior</a> is used by many developers to log time using the command line.</p>
<h5>Supported by</h5>
<ul>
	<li><a href="https://gabor-boros.github.io/minutes/">Minutes by Gábor</a></li>
</ul>
<h4>Toggl Track</h4>
<p><a href="https://track.toggl.com/">Toggl Track</a> is a tool that is commonly used for logging time. Some of our members use it, and they have also built a tool to transfer time logged on <a href="https://track.toggl.com/">Toggl Track</a> to Jira.</p>
<h5>Supported by</h5>
<ul>
	<li><a href="https://github.com/giovannicimolin/toggl-tempo-worklog-transfer">Giovanni's Toggl Tempo WorkLog Transfer script</a></li>
		<li><a href="https://gabor-boros.github.io/minutes/">Minutes by Gábor</a></li>
</ul>
<h4>Clockify</h4>
<p><a href="https://clockify.me/">Clockify</a> is also a tool that is commonly used for logging time. Some of our members use it.
<h5>Supported by</h5>
<ul>
	<li><a href="https://gabor-boros.github.io/minutes/">Minutes by Gábor</a></li>
</ul>
<h4>Harvest</h4>
<p><a href="https://getharvest.com/">Harvest</a> is another popular tool, though nobody uses it as of now in OpenCraft.
<h5>Supported by</h5>
<ul>
	<li><a href="https://gabor-boros.github.io/minutes/">Minutes by Gábor</a></li>
</ul>
